Bug 832471 - Review Request: perl-GStreamer-Interfaces - Perl interface to the GStreamer Interfaces library
Review Request: perl-GStreamer-Interfaces - Perl interface to the GStreamer I...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 09:36 EDT by Mario Blättermann
Modified: 2012-08-06 03:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-06-15 09:36:58 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/perl-GStreamer-Interfaces.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/perl-GStreamer-Interfaces-0.06-1.fc17.src.rpm

Description: 
GStreamer::Interfaces provides access to some of the interfaces in the
GStreamer Interfaces library.  Currently, that's GStreamer::PropertyProbe
and GStreamer::XOverlay.

Fedora Account System Username: mariobl

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4167055


This Perl module is needed for newer versions 1.4.x of me-tv (currently orphaned). Once this package has been approved, I will probably pick up me-tv again.
Comment 1 Jitka Plesnikova 2012-07-12 07:48:44 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "LGPL (v2.1 or later) (with incorrect FSF address) GENERATED
     FILE" For detailed output of licensecheck see file:
     /home/jplesnik/review/tmp/832471-perl-GStreamer-
     Interfaces/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (GStreamer-Interfaces-0.06.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Requires
--------
perl-GStreamer-Interfaces-debuginfo-0.06-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):


perl-GStreamer-Interfaces-0.06-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):

    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstinterfaces-0.10.so.0()(64bit)
    libgstreamer-0.10.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    librt.so.1()(64bit)
    libxml2.so.2()(64bit)
    perl(:MODULE_COMPAT_5.14.2)
    perl(DynaLoader)
    perl(ExtUtils::Depends) >= 0.205
    perl(ExtUtils::PkgConfig) >= 1.07
    perl(GStreamer)
    perl(GStreamer) >= 0.06
    perl(Glib) >= 1.180
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)

Provides
--------
perl-GStreamer-Interfaces-debuginfo-0.06-1.fc18.x86_64.rpm:

    perl-GStreamer-Interfaces-debuginfo = 0.06-1.fc18
    perl-GStreamer-Interfaces-debuginfo(x86-64) = 0.06-1.fc18

perl-GStreamer-Interfaces-0.06-1.fc18.x86_64.rpm:

    Interfaces.so()(64bit)
    perl(GStreamer::Interfaces) = 0.06
    perl(GStreamer::Interfaces::Install::Files)
    perl-GStreamer-Interfaces = 0.06-1.fc18
    perl-GStreamer-Interfaces(x86-64) = 0.06-1.fc18

TODO:
* Remove Buildroot:
* Remove %clean section
* Remove defattr(....) from the section %file
* Remove rm -rf $RPM_BUILD_ROOT from section %install
* %check should be run
* Add BuildRequires perl(Test::More) for tests
* Add macro %{?perl_default_filter} before section %description to filter
  *.so files from provides
* Update Summary: to contains "Perl interface to the GStreamer Interfaces
  library" (from cpan.org). For summary, it is usually use the description
  from NAME.
* License is LGPLv2+ (check the file LICENSE)
* Please create a bug on CPAN and add bug link for following rpmlint error in you spec
perl-GStreamer-Interfaces.x86_64: E: incorrect-fsf-address /usr/share/doc/perl-GStreamer-Interfaces-0.06/LICENSE


Please fix all TODO items and provide new spec.

Package is not approved.

Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
External plugins:
Comment 2 Mario Blättermann 2012-07-13 16:44:38 EDT
Thanks for your review!

Bug has been filed for the wrong FSF address:
https://rt.cpan.org/Public/Bug/Display.html?id=78357

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/perl-GStreamer-Interfaces.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/perl-GStreamer-Interfaces-0.06-2.fc17.src.rpm

New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4238942


However, my skills with packaging Perl modules is poor, I need it for an upcoming me-tv package only. Well, cpanspec is a good base, but no more than that. I will need a helping hand to keep this alive, and CC perl-sig once the package has been approved.
Comment 3 Jitka Plesnikova 2012-07-16 04:43:58 EDT
Almost everything is fixed, you just forgot to remove "rm -rf $RPM_BUILD_ROOT" from section %install
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

Please remove 'maps' and 'perl-GStreamer-Interfaces.doap' from %docs.

Please update the spec before you create the rpm.

Package is approved.
Comment 4 Mario Blättermann 2012-07-17 14:57:34 EDT
Thanks for your approval! Before importing the srpm, I will do the still missing changes.

New Package SCM Request
=======================
Package Name: perl-GStreamer-Interfaces
Short Description: Perl interface to the GStreamer Interfaces library
Owners: mariobl
Branches: f16 f17 el6
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-07-17 23:21:00 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-19 16:40:10 EDT
perl-GStreamer-Interfaces-0.06-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-GStreamer-Interfaces-0.06-2.fc16
Comment 7 Fedora Update System 2012-07-19 16:40:19 EDT
perl-GStreamer-Interfaces-0.06-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-GStreamer-Interfaces-0.06-2.fc17
Comment 8 Fedora Update System 2012-07-28 20:54:25 EDT
perl-GStreamer-Interfaces-0.06-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2012-08-06 03:52:33 EDT
perl-GStreamer-Interfaces-0.06-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-08-06 03:52:55 EDT
perl-GStreamer-Interfaces-0.06-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.